unit frmCompEditBase;

interface

uses
System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Objects, Data.DB, FMX.Menus, FMX.Grid,
FMXTee.Series, FMXTee.Engine, FMXTee.Procs, FMXTee.Chart, FMX.ExtCtrls,
FMX.ListBox, FMX.TreeView, FMX.Memo, FMX.TabControl, FMXTee.RadioGroup,
FMX.Layouts, FMX.Edit;

// Converted to FiremMonkey with MIDA      http://midafiremonkey.wordpress.com

type
  TCompEditFrameBase = class(TFrame)
  protected
    procedure RefreshTreeNode;
    procedure SetProjectChanged;
  public
    { Public declarations }
    Component : TZComponent;
    TreeNode : TZComponentTreeNode;
    NeedRefreshTreeNode : boolean;
    procedure SetComponent(C : TZComponent; TreeNode : TZComponentTreeNode); virtual;
    procedure OnPropChanged; virtual;
    procedure OnEditorClose; virtual;
    procedure OnKeyPress(var Key : char); virtual;
    procedure OnTreeChanged; virtual;
  end;

implementation

uses frmEditor;

{$R *.fmx}

{ TCompEditFrameBase }

procedure TCompEditFrameBase.OnEditorClose;
begin
  //
end;

procedure TCompEditFrameBase.OnKeyPress(var Key: char);
begin
  //
end;

procedure TCompEditFrameBase.OnPropChanged;
begin
  //
end;

procedure TCompEditFrameBase.OnTreeChanged;
begin
  //
end;

procedure TCompEditFrameBase.SetComponent(C: TZComponent; TreeNode : TZComponentTreeNode);
begin
  Component := C;
  Self.TreeNode := TreeNode;
end;

procedure TCompEditFrameBase.SetProjectChanged;
begin
  (Owner as TEditorForm).SetFileChanged(True);
end;

procedure TCompEditFrameBase.RefreshTreeNode;
begin
  (Owner as TEditorForm).RefreshCompEditorTreeNode;
end;

end.
