unit frmToolMissing;

interface

uses
System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Objects, Data.DB, FMX.Menus, FMX.Grid,
FMXTee.Series, FMXTee.Engine, FMXTee.Procs, FMXTee.Chart, FMX.ExtCtrls,
FMX.ListBox, FMX.TreeView, FMX.Memo, FMX.TabControl, FMXTee.RadioGroup,
FMX.Layouts, FMX.Edit;

// Converted to FiremMonkey with MIDA      http://midafiremonkey.wordpress.com

type
  TToolMissingForm = class(TForm)
    Button1: TButton;
    DownloadURLLabel: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    ExeNameLabel: TLabel;
    ToolPathLabel: TLabel;
    ToolNameLabel: TLabel;
    procedure DownloadURLLabelClick(Sender: TObject);
    procedure ToolPathLabelMouseEnter(Sender: TObject);
    procedure ToolPathLabelMouseLeave(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ToolMissingForm: TToolMissingForm;

implementation

{$R *.fmx}

uses ShellApi,uHelp;

procedure TToolMissingForm.DownloadURLLabelClick(Sender: TObject);
begin
  GoUrl( (Sender as TLabel).Caption );
end;

procedure TToolMissingForm.ToolPathLabelMouseEnter(Sender: TObject);
begin
  (Sender as TLabel).Font.Color := clBlue;
end;

procedure TToolMissingForm.ToolPathLabelMouseLeave(Sender: TObject);
begin
  (Sender as TLabel).Font.Color := clBlack;
end;

end.
