unit frmXmlEdit;

interface

uses
System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Objects, Data.DB, FMX.Menus, FMX.Grid,
FMXTee.Series, FMXTee.Engine, FMXTee.Procs, FMXTee.Chart, FMX.ExtCtrls,
FMX.ListBox, FMX.TreeView, FMX.Memo, FMX.TabControl, FMXTee.RadioGroup,
FMX.Layouts, FMX.Edit;

// Converted to FiremMonkey with MIDA      http://midafiremonkey.wordpress.com

type
  TXmlEditForm = class(TForm)
    Panel1 : TPanel;
    OkButton: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    SynEdit : TSynEdit;
  end;

var
  XmlEditForm: TXmlEditForm;

implementation

{$R *.fmx}

uses SynHighlighterXML, SynEditSearch, dmCommon;

procedure TXmlEditForm.FormCreate(Sender: TObject);
begin
  SynEdit := TSynEdit.Create(Self);
  SynEdit.Align := alClient;
  SynEdit.Gutter.Visible := False;
  SynEdit.Parent := Panel1;
  SynEdit.Highlighter := TSynXMLSyn.Create(Self);
  SynEdit.WantTabs := True;
  SynEdit.TabWidth := 2;
  SynEdit.Options := [eoAutoIndent, eoDragDropEditing, eoEnhanceEndKey,
    eoScrollPastEol, eoShowScrollHint, eoTabsToSpaces,
    eoGroupUndo, eoTabIndent, eoTrimTrailingSpaces];
  SynEdit.SearchEngine := TSynEditSearch.Create(Self);
  SynEdit.PopupMenu := dmCommon.CommonModule.SynEditPopupMenu;
end;

end.
